<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.211
Description: The Microscopic Observation section contains optionally the histopathologic findings of the case and many laboratories use this section to record the results of histochemical and immunohistochemical stains.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.211">
   <title>Microscopie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]
Item: (MicroscopicObservationSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section"
         id="tmp-9bf0bd83-508d-4648-a8cc-651ea725d456">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="string(@classCode)='DOCSECT'">(MicroscopicObservationSection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(* except (hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.6']|hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211']|hl7:code|hl7:title|hl7:text|hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.551']]]))=0">(MicroscopicObservationSection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.6'])&lt;=1">(MicroscopicObservationSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211'])&gt;=1 ">(MicroscopicObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211'])&lt;=1">(MicroscopicObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MicroscopicObservationSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:code)&lt;=1">(MicroscopicObservationSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(MicroscopicObservationSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:title)&lt;=1">(MicroscopicObservationSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(MicroscopicObservationSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="count(hl7:text)&lt;=1">(MicroscopicObservationSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.6']
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.6']"
         id="tmp-7f916dcf-505b-4a3a-aa38-9b48e2eba9c0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (MicroscopicObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.8.1.2.6'">(MicroscopicObservationSection): @root MOET de waarde '1.3.6.1.4.1.19376.1.8.1.2.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(MicroscopicObservationSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211']
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.211']"
         id="tmp-2770eadb-b0af-483d-9f7a-a996e90cdf08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (MicroscopicObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.211'">(MicroscopicObservationSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.211' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(MicroscopicObservationSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:code
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:code"
         id="tmp-687a45b6-9319-49d0-b937-1f2804a953bb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (MicroscopicObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or (@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')">(MicroscopicObservationSection): de waarde van @code/@codeSystem MOET ''22635-7' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:title
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:title"
         id="tmp-5232dc77-55e3-4982-97a7-1be4322ca0ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (MicroscopicObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="text()='Microscopie'">(MicroscopicObservationSection): de element content van hl7:title MOET ''Microscopie'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:text
Item: (MicroscopicObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:text"
         id="tmp-8d40eb16-854d-4ea8-a56f-006debc37ecc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (MicroscopicObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SD.TEXT" bevatten</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.211
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.551']]]
Item: (MicroscopicObservationSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.211']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.551']]]"
         id="tmp-96741b8e-76a6-4511-b4b2-aa3c1931c418">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.211.html"
              test="string(@typeCode)='DRIV'">(MicroscopicObservationSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>