<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.591
Description: Conclusion Pathology Entry, per monster
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.591">
   <title>Conclusion Pathology Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]"
         id="tmp-79b8fbcd-9b1c-491d-9d25-90cd2de5a09c">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(ConclusionPathologyEntry): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:act)&lt;=1">(ConclusionPathologyEntry): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act"
         id="tmp-8985be6a-db36-424c-b6b1-33e1819095bd">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="string(@classCode)='ACT'">(ConclusionPathologyEntry): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="string(@moodCode)='EVN'">(ConclusionPathologyEntry): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']|hl7:code|hl7:specimen))=0">(ConclusionPathologyEntry): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'])&gt;=1 ">(ConclusionPathologyEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'])&lt;=1">(ConclusionPathologyEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ConclusionPathologyEntry): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:code)&lt;=1">(ConclusionPathologyEntry): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:specimen)&lt;=1">(ConclusionPathologyEntry): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']"
         id="tmp-0cf79714-f18f-417f-862b-006ce2133b1a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.591'">(ConclusionPathologyEntry): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.591' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ConclusionPathologyEntry): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:code
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:code"
         id="tmp-beaa0d90-ffcb-4032-b401-39019c30defd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="@nullFlavor or (@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologyEntry): de waarde van @code/@codeSystem MOET ''X-LAB-SPMSCT' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:specimen
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:specimen"
         id="tmp-55c07aa0-0fe3-4833-9278-3e791f9ae8c7">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="string(@typeCode)='SPC'">(ConclusionPathologyEntry): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(* except (hl7:specimenRole))=0">(ConclusionPathologyEntry): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:specimenRole)&gt;=1 and not(hl7:specimenRole/@nullFlavor)">(ConclusionPathologyEntry): element hl7:specimenRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:specimenRole)&lt;=1">(ConclusionPathologyEntry): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:specimen/hl7:specimenRole
Item: (ConclusionPathologyEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:specimen/hl7:specimenRole"
         id="tmp-3ca49f10-bb0d-4fd3-8934-849e50181877">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="string(@classCode)='SPEC'">(ConclusionPathologyEntry): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(* except (hl7:id))=0">(ConclusionPathologyEntry): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ConclusionPathologyEntry): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.591.html"
              test="count(hl7:id)&lt;=1">(ConclusionPathologyEntry): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:id
Item: (ConclusionPathologyEntry)
-->
</pattern>